Bug 230656

Summary: databases/postgresql10-server: support parallel build
Product: Ports & Packages Reporter: Steve Wills <swills>
Component: Individual Port(s)Assignee: pgsql
Status: Closed FIXED    
Severity: Affects Only Me CC: girgen
Priority: --- Flags: bugzilla: maintainer-feedback? (pgsql)
Version: Latest   
Hardware: Any   
OS: Any   
Attachments:
Description Flags
patch to enable parallel builds none

Description Steve Wills freebsd_committer 2018-08-15 18:59:41 UTC
Created attachment 196227 [details]
patch to enable parallel builds

The databases/postgresql10-server port does not support parallel build. Attached patch should fix it.
Comment 1 commit-hook freebsd_committer 2021-05-15 09:13:21 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=ab83f2b4bb78a718efa5c43247ba1e1d207f99b6

commit ab83f2b4bb78a718efa5c43247ba1e1d207f99b6
Author:     Palle Girgensohn <girgen@FreeBSD.org>
AuthorDate: 2021-05-15 09:11:12 +0000
Commit:     Palle Girgensohn <girgen@FreeBSD.org>
CommitDate: 2021-05-15 09:12:17 +0000

    databases/postgresql??-*: Upgrade to latest version

    PostgreSQL 13.3, 12.7, 11.12, 10.17, and 9.6.22 Released!

    The PostgreSQL Global Development Group has released an update to all supported
    versions of our database system, including 13.3, 12.7, 11.12, 10.17, and
    9.6.22. This release closes three security vulnerabilities and fixes over 45
    bugs reported over the last three months.

    Security fixes in this release:

    CVE-2021-32027: Buffer overrun from integer overflow in array subscripting
                    calculations

    CVE-2021-32028: Memory disclosure in INSERT ... ON CONFLICT ... DO UPDATE

    CVE-2021-32029: Memory disclosure in partitioned-table UPDATE ... RETURNING

    Also plenty of bug fixes. See the release note for details.

    Changes to the port:

    Make sure we use the matching version of llvm. This fixes a problem with the
    llvm version string not being monotonically increasing with the version
    number. [1]

    Better pkg message about checksums for postgresql 12+. [2] [4]

    Adjust login class parameter to adhere to the documentation in rc.subr(8) [3]:
      The rc.conf parameter for the login class of the postgresql daemon has
      changed name from postgresql_class to postgresql_login_class, since
      rc.subr(8) states that the parameter should be named ${name}_login_class.

    Allow parallel builds. [5]

    Correct the directory name for the user postgres in pkg message. [6]

    PR:             250824 [1], 253558 [2], 236060 [3], 233106 [4],  230656 [5]
    PR:             226674 [6]
    Submitted by:   Michael Zhilin [2], Michael Zhilin [3], Dmitry Chestnykh [4]
    Submitted by:   Steve Wills [5], knezour [6]

    Security:       76e0bb86-b4cb-11eb-b9c9-6cc21735f730
    Security:       62da9702-b4cc-11eb-b9c9-6cc21735f730

    Release notes:  https://www.postgresql.org/docs/release/

 UPDATING                                           |  8 ++++++
 databases/postgresql10-server/Makefile             |  4 +--
 databases/postgresql10-server/distinfo             |  6 ++---
 .../files/pkg-message-server.in                    |  8 +++---
 databases/postgresql10-server/files/postgresql.in  |  8 +++---
 databases/postgresql11-server/Makefile             |  4 +--
 databases/postgresql11-server/distinfo             |  6 ++---
 .../files/pkg-message-server.in                    |  8 +++---
 databases/postgresql11-server/files/postgresql.in  |  8 +++---
 databases/postgresql12-server/Makefile             |  4 +--
 databases/postgresql12-server/distinfo             |  6 ++---
 .../files/pkg-message-server.in                    | 14 +++++-----
 databases/postgresql12-server/files/postgresql.in  |  8 +++---
 databases/postgresql13-server/Makefile             | 31 +++++++++++++++-------
 databases/postgresql13-server/distinfo             |  6 ++---
 .../files/pkg-message-server.in                    | 14 +++++-----
 databases/postgresql13-server/files/postgresql.in  |  8 +++---
 databases/postgresql13-server/pkg-plist-client     |  1 +
 databases/postgresql13-server/pkg-plist-server     |  8 ++++++
 .../files/pkg-message-server.in                    |  8 +++---
 databases/postgresql96-server/Makefile             |  4 +--
 databases/postgresql96-server/distinfo             |  6 ++---
 .../files/pkg-message-server.in                    |  8 +++---
 databases/postgresql96-server/files/postgresql.in  |  8 +++---
 24 files changed, 112 insertions(+), 82 deletions(-)
Comment 2 Palle Girgensohn freebsd_committer 2021-05-15 09:15:33 UTC
Comitted. Thanks!
Comment 3 commit-hook freebsd_committer 2021-05-17 08:11:21 UTC
A commit in branch 2021Q2 references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=4ac52e0c203ea1ac3cd4dd51dd6dcc89678fe4ac

commit 4ac52e0c203ea1ac3cd4dd51dd6dcc89678fe4ac
Author:     Palle Girgensohn <girgen@FreeBSD.org>
AuthorDate: 2021-05-15 09:11:12 +0000
Commit:     Palle Girgensohn <girgen@FreeBSD.org>
CommitDate: 2021-05-17 08:06:59 +0000

    databases/postgresql??-*: Upgrade to latest version

    PostgreSQL 13.3, 12.7, 11.12, 10.17, and 9.6.22 Released!

    The PostgreSQL Global Development Group has released an update to all supported
    versions of our database system, including 13.3, 12.7, 11.12, 10.17, and
    9.6.22. This release closes three security vulnerabilities and fixes over 45
    bugs reported over the last three months.

    Security fixes in this release:

    CVE-2021-32027: Buffer overrun from integer overflow in array subscripting
                    calculations

    CVE-2021-32028: Memory disclosure in INSERT ... ON CONFLICT ... DO UPDATE

    CVE-2021-32029: Memory disclosure in partitioned-table UPDATE ... RETURNING

    Also plenty of bug fixes. See the release note for details.

    Changes to the port:

    Make sure we use the matching version of llvm. This fixes a problem with the
    llvm version string not being monotonically increasing with the version
    number. [1]

    Better pkg message about checksums for postgresql 12+. [2] [4]

    Adjust login class parameter to adhere to the documentation in rc.subr(8) [3]:
      The rc.conf parameter for the login class of the postgresql daemon has
      changed name from postgresql_class to postgresql_login_class, since
      rc.subr(8) states that the parameter should be named ${name}_login_class.

    Allow parallel builds. [5]

    Correct the directory name for the user postgres in pkg message. [6]

    PR:             250824 [1], 253558 [2], 236060 [3], 233106 [4],  230656 [5]
    PR:             226674 [6]
    Submitted by:   Michael Zhilin [2], Michael Zhilin [3], Dmitry Chestnykh [4]
    Submitted by:   Steve Wills [5], knezour [6]

    Security:       76e0bb86-b4cb-11eb-b9c9-6cc21735f730
    Security:       62da9702-b4cc-11eb-b9c9-6cc21735f730

    Release notes:  https://www.postgresql.org/docs/release/

    (cherry picked from commit ab83f2b4bb78a718efa5c43247ba1e1d207f99b6)

 UPDATING                                           |  8 ++++++
 databases/postgresql10-server/Makefile             |  2 +-
 databases/postgresql10-server/distinfo             |  6 ++---
 .../files/pkg-message-server.in                    |  8 +++---
 databases/postgresql10-server/files/postgresql.in  |  8 +++---
 databases/postgresql11-server/Makefile             |  2 +-
 databases/postgresql11-server/distinfo             |  6 ++---
 .../files/pkg-message-server.in                    |  8 +++---
 databases/postgresql11-server/files/postgresql.in  |  8 +++---
 databases/postgresql12-server/Makefile             |  2 +-
 databases/postgresql12-server/distinfo             |  6 ++---
 .../files/pkg-message-server.in                    | 14 +++++------
 databases/postgresql12-server/files/postgresql.in  |  8 +++---
 databases/postgresql13-server/Makefile             | 29 ++++++++++++++++------
 databases/postgresql13-server/distinfo             |  6 ++---
 .../files/pkg-message-server.in                    | 14 +++++------
 databases/postgresql13-server/files/postgresql.in  |  8 +++---
 databases/postgresql13-server/pkg-plist-client     |  1 +
 databases/postgresql13-server/pkg-plist-server     |  8 ++++++
 .../files/pkg-message-server.in                    |  8 +++---
 databases/postgresql96-server/Makefile             |  2 +-
 databases/postgresql96-server/distinfo             |  6 ++---
 .../files/pkg-message-server.in                    |  8 +++---
 databases/postgresql96-server/files/postgresql.in  |  8 +++---
 24 files changed, 107 insertions(+), 77 deletions(-)